All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH RESEND v2 0/1] scripts/runqemu: disable unfs boot mode for qemuppc
@ 2011-08-25 14:45 Liming Wang
  2011-08-25 14:45 ` [PATCH RESEND v2 1/1] " Liming Wang
  0 siblings, 1 reply; 3+ messages in thread
From: Liming Wang @ 2011-08-25 14:45 UTC (permalink / raw)
  To: Bruce.Ashfield; +Cc: yocto

It's a workaround to fix yocto bug:
[Bug 414][PPC] kernel panic when booting poky-image-sdk-qemuppc through UNFS

Liming Wang (1):
      scripts/runqemu: disable unfs boot mode for qemuppc

 scripts/runqemu |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)



^ permalink raw reply	[flat|nested] 3+ messages in thread

* [PATCH RESEND v2 1/1] scripts/runqemu: disable unfs boot mode for qemuppc
  2011-08-25 14:45 [PATCH RESEND v2 0/1] scripts/runqemu: disable unfs boot mode for qemuppc Liming Wang
@ 2011-08-25 14:45 ` Liming Wang
  2011-08-30 21:19   ` Richard Purdie
  0 siblings, 1 reply; 3+ messages in thread
From: Liming Wang @ 2011-08-25 14:45 UTC (permalink / raw)
  To: Bruce.Ashfield; +Cc: yocto

Because unfs boot mode is unstable for qemuppc, disable
it temporarily.

Signed-off-by: Liming Wang <liming.wang@windriver.com>
---
 scripts/runqemu |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/scripts/runqemu b/scripts/runqemu
index ed8c05b..f6cc6f4 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -351,6 +351,12 @@ if [ -z "$FSTYPE" ]; then
         usage
     fi
 fi
+
+if [ "$FSTYPE" = "nfs" -a "$MACHINE" = "qemuppc" ]; then
+    echo "Error: usermode NFS boot is not available for qemuppc."
+    exit 1
+fi
+
 # FSTYPE is now set for all cases
 
 # Handle cases where a ROOTFS type is given instead of a filename, e.g.
-- 
1.7.0.4



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* Re: [PATCH RESEND v2 1/1] scripts/runqemu: disable unfs boot mode for qemuppc
  2011-08-25 14:45 ` [PATCH RESEND v2 1/1] " Liming Wang
@ 2011-08-30 21:19   ` Richard Purdie
  0 siblings, 0 replies; 3+ messages in thread
From: Richard Purdie @ 2011-08-30 21:19 UTC (permalink / raw)
  To: Liming Wang; +Cc: yocto

On Thu, 2011-08-25 at 22:45 +0800, Liming Wang wrote:
> Because unfs boot mode is unstable for qemuppc, disable
> it temporarily.
> 
> Signed-off-by: Liming Wang <liming.wang@windriver.com>
> ---
>  scripts/runqemu |    6 ++++++
>  1 files changed, 6 insertions(+), 0 deletions(-)

Merged to master, thanks.

Richard



^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2011-08-30 21:19 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2011-08-25 14:45 [PATCH RESEND v2 0/1] scripts/runqemu: disable unfs boot mode for qemuppc Liming Wang
2011-08-25 14:45 ` [PATCH RESEND v2 1/1] " Liming Wang
2011-08-30 21:19   ` Richard Purdie

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.